// Copyright 2025 Vincent Batts <vbatts@hashbangbash.com>

#ifndef COMMON_H_
#define COMMON_H_

#include <iostream>

// https://www.geeksforgeeks.org/cpp-macros/#

#define log_out(hurr) \
  std::cout << "[" << __FILE__ << ":" << __LINE__ << "] " << hurr << std::endl;
#define log_err(hurr) \
  std::cerr << "[" << __FILE__ << ":" << __LINE__ << "] " << hurr << std::endl;

#endif  // COMMON_H_

// vim:set sts=2 sw=2 et:
